This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 212558 - Please remove /var/xen/dump
Please remove /var/xen/dump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On: 212351
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 09:46 EDT by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:46:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-10-27 09:46:11 EDT
+++ This bug was initially created as a clone of Bug #212351 +++

Description of problem:

Why do we have so many places where xen can write to on the /var partition.  
Please change this to /var/lib/xen/dump for some consistency and to make writing
SELinux policy easier.  xen can already write to /var/lib/xen and its
subdirectories in selinux-policy but is not allowed to write to /var/xen/dump.

-- Additional comment from katzj@redhat.com on 2006-10-26 11:54 EST --
Created an attachment (id=139477)
patch sent upstream

Sent the trivial patch upstrema to change the default dumpdir.

-- Additional comment from bstein@redhat.com on 2006-10-26 17:08 EST --
Jeremy - did you already clone this for RHEL?
Comment 1 RHEL Product and Program Management 2006-10-30 16:01:06 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jay Turner 2006-11-20 15:18:32 EST
QE ack for RHEL5.
Comment 4 Daniel Berrange 2006-11-29 15:09:42 EST
Fix built into RHEL-5 dist

* Mon Nov 27 2006 Rik van Riel <riel@redhat.com> - 3.0.3-9.el5
- move the dump path to /var/lib/xen (bug 212558)

$ brew latest-pkg dist-5E xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-9.el5                           dist-5E               riel
Comment 5 RHEL Product and Program Management 2006-12-22 20:46:53 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.